Subject: [PWE3] RE: draft-roth-pwe3-fc-encap-00.txt

From: "Moran Roth" <[email-masked]>
Date: Tue, 26 Jul 2005 16:05:27 +0200

Stewart,

Thanks a lot for your comments.
Please see inline.

Moran

> Some comments on draft-roth-pwe3-fc-encap-00.txt
> 
> - Stewart
> 
> 
> 4. Encapsulation
> 
>     This specification provides port to port transport of FC
encapsulated
>     traffic. The following FC connections are supported over the MPLS
>     network:
>         - N-Port to N-Port
>         - N-Port to F-Port
>         - E-Port to E-Port
> 
> SB> Where are these types defined?
 
[MR] The FC port types are defined in FC-FS-2 standard by the T11
technical
     committee.
        * N-Port is a (end-)node port, server or disk.
        * F-Port is a fabric-element (switch) port facing a n-port.
        * E-Port is an extension port of a switch to interface between
switches.
 
> 4.1. The Control Word
> 
>     The Generic PW control word, as defined in "PWE3 Control Word"
[PW-
>     CW] MAY be used for FC PW. The structure of the control word is as
>     follows:
> 
> SB> Do you mean MAY or MUST.
 
[MR] I think that MAY is more appropriate, since there is no CW field
that
     is mandatory in this encapsulation.
 
>                          1                   2                   3
>      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>     |0 0 0 0|0 0 0 0|FRG|  Length   | Sequence Number               |
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
>        Figure 3 - Control Word structure for the one-to-one mapping
mode
> 
>     The Flags bits are not used for FC. These bits MUST be set to 0 by
>     the ingress PE, and MUST be ignored by the egress PE.
> 
>     The FRG bits are used for PW PDU fragmentation as described in
[PW-
>     CW] and [FRAG].
> 
>     The length field can be used to remove any padding added by the
PSN.
>     Its processing must follow the rules defined in [PW-CW].
> 
>     The use of the sequence number is optional, and the processing
must
>     follow the rules as in [PW-CW].
> 
> SB> No, you have to describe the rules here.
 
[MR] I'll add it in the next revision of the draft.

> 4.2. MTU Requirements
> 
>     The network MUST be configured with an MTU that is sufficient to
>     transport the largest encapsulation frames.
> 
> SB> So you don't need frag you can say that the bits MUST be 00
> 
>     When MPLS is used as the
>     tunneling protocol, for example, this is likely to be 12 or more
>     bytes greater than the largest frame size. The methodology
described
>     in [FRAG] MAY be used to fragment encapsulated frames that exceed
the
>     PSN MTU. However if [FRAG] is not used then if the ingress router
>     determines that an encapsulated layer 2 PDU exceeds the MTU of the
>     PSN tunnel through which it must be sent, the PDU MUST be dropped.
> 
> SB> But now you say can use frag. Did you meant to say SHOULD above?
 
[MR] SHOULD is more appropriate. In the next revision I'll clarify the
text to 
     state that if FRAG is used the MTU may be set to the fragment size.

     If FRAG is not used the MTU MUST be configured with an MTU that is 
     sufficient to transport the largest encapsulation frames.
 
> 5. Security Considerations
> 
>     This document specifies only encapsulations, and not the protocols
>     used to carry the encapsulated packets across the PSN. Each such
>     protocol may have its own set of security issues [PW-MPLS]
[RFC3985],
>     but those issues are not affected by the encapsulations specified
>     herein. Note that the security of the emulated service will only
be
>     as good as the security of the PSN.
> 
> 
> SB> Aren't FC apps a bit more sensitive to security than most apps?
> SB>
> SB> I think that you should consider writing an applicability section
I 
> SB> would imagine that FC has quite stringent requirements on delay 
> SB> misordering latency etc. Would you consider it suitable for
ruuning 
> SB> over the pblic Internet?

[MR] In general the requirement that we saw is for adding a new type of 
     service over a network owned by a network operator, hence it does
not
     refer to the public internet. This will be detailed in an 
     applicability section I'll add to the next revision.
 
> 6. IANA considerations
> 
>     A new PW type, named "FC Port Mode" is requested from IANA. The
next
>     available value of 0x0021 is requested.

[MR] Accepted.
 
> SB> The next available is 1F. But I don't think that you should quote
a 
> SB> value.

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3